import {FC} from "react";
import {Button, Form, Input, View} from "@tarojs/components";
import {getCurrentInstance} from "@tarojs/runtime";
import Taro from "@tarojs/taro";

const BingUser: FC = () => {
  const {company_id, department_id, start_time, end_time} = getCurrentInstance()?.router?.params as unknown as Offline

  Taro.useLoad(() => {
    const time = Date.now()
    if (!company_id
      || !department_id
      || !start_time
      || !end_time
      || time > new Date(end_time).getTime()
      || time < new Date(start_time).getTime()) {
      Taro.showModal({
        title: '二维码已过期',
        success() {
          Taro.reLaunch({url: '/pages/login/login'})
        }
      })
      return
    }

  })


  return (
    <View className='h-10 bg-white p-2'>
      <Form className='form'>

        <View className='item'>
          <View>用户名</View>
          <Input placeholder='请输入用户名' focus/>
        </View>

        <View className='item'>
          <View>手机号</View>
          <Input type='number' placeholder='请输入手机号'/>
        </View>

        <Button className='button mt-3' formType='submit'>登录</Button>
      </Form>
    </View>
  )
}

export default BingUser
